/*
 * Copyright (C) 2021  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */
#ifndef __SERVICE_TYPE__55FA8C099C5CCE778ADBA3C4898EFCCB
#define __SERVICE_TYPE__55FA8C099C5CCE778ADBA3C4898EFCCB

#include <libgrill/logger/log_entry_strong_types.hh>

namespace Fred {
namespace Akm {
namespace Logger {

enum class ServiceType
{
    admin
};

template <ServiceType>
LibGrill::Logger::LogEntryService to_libgrill_log_entry_service();

template <>
LibGrill::Logger::LogEntryService to_libgrill_log_entry_service<ServiceType::admin>()
{
    return LibGrill::Logger::LogEntryService{"Admin"};
}

} // namespace Fred::Akm::Logger
} // namespace Fred::Akm
} // namespace Fred

#endif
