/*
 * Copyright (C) 2021  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef EXPORT_SCAN_TASKS_HH_5BF7B3ABD6E38D4C6329F02A06265077
#define EXPORT_SCAN_TASKS_HH_5BF7B3ABD6E38D4C6329F02A06265077

#include "src/supervisor_connection_string.hh"
#include "src/keyset_metadata.hh"
#include "src/scan_type.hh"

namespace Fred {
namespace Akm {

void export_scan_tasks(ExportScanType, const KeysetMetadata&, const SupervisorConnectionString&);

} // namespace Fred::Akm
} // namespace Fred

#endif//EXPORT_SCAN_TASKS_HH_5BF7B3ABD6E38D4C6329F02A06265077
